%global symlinks cargo,rustc,rustdoc,rust-gdb,rust-lldb,rustfmt,rustup,cargo-fmt,cargo-clippy,clippy-driver,cargo-miri

Name:           rustup-links
Version:        0.0.1
Release:        %autorelease
Summary:        Symlinks to rustup-init

BuildArch:      noarch

License:        CC-PPDC

Requires:       /usr/bin/rustup-init
Conflicts:      cargo
Conflicts:      clippy
Conflicts:      rust
Conflicts:      rustfmt
Conflicts:      rust-gdb
Conflicts:      rust-lldb

%description
Symlinks to rustup-init to provide the missing rustup functionalities
such as rustup and rustc


%install
mkdir -p %{buildroot}%{_bindir}
for link in {%{symlinks}}
do
  ln -sv /usr/bin/rustup-init %{buildroot}%{_bindir}/"${link}"
done


%files
%{_bindir}/{%{symlinks}}


%changelog
%autochangelog

